After that, I got the following error.

> make[2]: Entering directory `/mnt/sdb1/ruby/build/ext/openssl'
> compiling ../../../trunk/ext/openssl/ossl_x509attr.c
> compiling ../../../trunk/ext/openssl/ossl.c
> compiling ../../../trunk/ext/openssl/ossl_pkey_dh.c
> compiling ../../../trunk/ext/openssl/ossl_x509req.c
> compiling ../../../trunk/ext/openssl/ossl_cipher.c
> ../../../trunk/ext/openssl/ossl_cipher.c: In function 'ossl_get_gcm_auth_tag':
> ../../../trunk/ext/openssl/ossl_cipher.c:536: error: 'EVP_CTRL_GCM_GET_TAG' undeclared (first use in this function)
> ../../../trunk/ext/openssl/ossl_cipher.c:536: error: (Each undeclared identifier is reported only once
> ../../../trunk/ext/openssl/ossl_cipher.c:536: error: for each function it appears in.)
> ../../../trunk/ext/openssl/ossl_cipher.c: In function 'ossl_cipher_get_auth_tag':
> ../../../trunk/ext/openssl/ossl_cipher.c:574: error: 'NID_aes_128_gcm' undeclared (first use in this function)
> ../../../trunk/ext/openssl/ossl_cipher.c:574: error: 'NID_aes_192_gcm' undeclared (first use in this function)
> ../../../trunk/ext/openssl/ossl_cipher.c:574: error: 'NID_aes_256_gcm' undeclared (first use in this function)
> ../../../trunk/ext/openssl/ossl_cipher.c: In function 'ossl_set_gcm_auth_tag':
> ../../../trunk/ext/openssl/ossl_cipher.c:585: error: 'EVP_CTRL_GCM_SET_TAG' undeclared (first use in this function)
> ../../../trunk/ext/openssl/ossl_cipher.c: In function 'ossl_cipher_set_auth_tag':
> ../../../trunk/ext/openssl/ossl_cipher.c:616: error: 'NID_aes_128_gcm' undeclared (first use in this function)
> ../../../trunk/ext/openssl/ossl_cipher.c:616: error: 'NID_aes_192_gcm' undeclared (first use in this function)
> ../../../trunk/ext/openssl/ossl_cipher.c:616: error: 'NID_aes_256_gcm' undeclared (first use in this function)
> ../../../trunk/ext/openssl/ossl_cipher.c: In function 'ossl_cipher_is_authenticated':
> ../../../trunk/ext/openssl/ossl_cipher.c:641: error: 'NID_aes_128_gcm' undeclared (first use in this function)
> ../../../trunk/ext/openssl/ossl_cipher.c:641: error: 'NID_aes_192_gcm' undeclared (first use in this function)
> ../../../trunk/ext/openssl/ossl_cipher.c:641: error: 'NID_aes_256_gcm' undeclared (first use in this function)
> make[2]: *** [ossl_cipher.o] Error 1

Do you need other information?


(2012/12/20 16:03), MartinBosslet (Martin Bosslet) wrote:
> 
> Issue #6946 has been updated by MartinBosslet (Martin Bosslet).
> 
> 
> @ko1: It should work with OpenSSL versions that have no "FIPS_mode_set" now, too. I removed the FIPS-related tests that caused errors on ruby-ci as well!
> ----------------------------------------
> Feature #6946: FIPS support?
> https://bugs.ruby-lang.org/issues/6946#change-34888
> 
> Author: vo.x (Vit Ondruch)
> Status: Closed
> Priority: Normal
> Assignee: MartinBosslet (Martin Bosslet)
> Category: ext
> Target version: next minor
> 
> 
> =begin
> Hi, running the test suite on FIPS enabled system using 
> 
>  $ find test/ -type f -name test_*.rb -exec make test-all TESTS="-v '{}'" \;
> 
> command with patch from #6938 applied, it gives me a plenty of errors (see attached output.txt file). There are two kind of errors as far as I understand, some are more or less test suite errors (e.g. #6938), which should be easy to fix, while some others (e.g. #6943) would need bigger changes.
> 
> Is there any chance that Ruby will provide better support for FIPS and there errors get fixed?
> =end
> 
> 
> 


-- 
// SASADA Koichi at atdot dot net